%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-oslo
Version:        9.5.0
Release:        2%{?dist}
Summary:        Puppet module for managing Oslo.* library
License:        Apache-2.0

URL:            https://launchpad.net/puppet-oslo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0002: 0002-Switch-to-Zuul-v3-testing.patch
Patch0003: 0003-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for managing Oslo.* library

%prep
%setup -q -n openstack-oslo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/oslo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/oslo/



%files
%{_datadir}/openstack-puppet/modules/oslo/


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.5.0-2
- Run puppet-openstack-beaker-jobs
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422137)

* Wed Dec 14 2016 Lukas Bezdicka <lbezdick@redhat.com> 9.4.0-2
- Switch ensure_packages to ensure_resources for python-memcache (rhbz#1392583)

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Thu Sep 22 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0

* Fri Sep 16 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.2.0-1
- Update to 9.2.0


